Bug 12972 - Transfer slip and transfer message (blue box) can conflict
Summary: Transfer slip and transfer message (blue box) can conflict
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-19 21:23 UTC by Nick Clemens
Modified: 2017-05-03 03:57 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 12972 - Transfer slip and transfer message (blue box) can conflict (2.32 KB, patch)
2017-03-03 15:02 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 12972 - Transfer slip and transfer message (blue box) can conflict (2.38 KB, patch)
2017-03-07 10:59 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 12972 - Transfer slip and transfer message (blue box) can conflict (2.44 KB, patch)
2017-03-07 17:55 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2014-09-19 21:23:26 UTC
When an item is being transferred to another branch (for a hold or because it was returned to another branch) with AutomaticItemReturn='Do' if the reason for the transfer is removed (hold cancelled or item permanent location edited) the transfer message still states the book should be sent to the other branch, but the printed slip lists the home library

To recreate (make sure AutomaticItemReutrn='Do'):
1 - Place a hold for delivery to LibraryB on an item at LibraryA
2 - Check in the item at LibraryA and confirm transfer and print slip - message and slip should agree
3 - Cancel the hold and check the item in at LibraryA and print slip - message still states "transfer to LibraryB", slip states "transfer to LibraryA"

alternately:
1 - check in an item from LibraryB at LibraryA, print transfer slip - message and slip should say destination LibraryB
2 - change the permanent location of the item to LibraryA
3 - check in the item at LibraryA, message says LibraryB, slip says LibraryA
Comment 1 Nick Clemens 2017-03-03 15:02:27 UTC
Created attachment 60810 [details] [review]
Bug 12972 - Transfer slip and transfer message (blue box) can conflict

Instead of passing the homebranch to the slip, let's pass
TransferWaitingAt (the value we display)

To test:
1 - Check in an item that will initiate a transfer (hold or automatic
        item return)
2 - Note the transfer message and receipt match
3 - Remove the reason for transfer (bot don't cancel transfer)
    i.e. cancel hold or change homebranch of item to current library
4 - Check the item in again
5 - Note the message displays the transfer destination and the slip
shows the homebranch
6 - Apply patch
7 - Repeat 5 but note slip and message match
8 - Test any edge cases for correctness
9 - sign off
Comment 2 Josef Moravec 2017-03-07 10:59:20 UTC
Created attachment 60864 [details] [review]
[SIGNED-OFF] Bug 12972 - Transfer slip and transfer message (blue box) can conflict

Instead of passing the homebranch to the slip, let's pass
TransferWaitingAt (the value we display)

To test:
1 - Check in an item that will initiate a transfer (hold or automatic
        item return)
2 - Note the transfer message and receipt match
3 - Remove the reason for transfer (bot don't cancel transfer)
    i.e. cancel hold or change homebranch of item to current library
4 - Check the item in again
5 - Note the message displays the transfer destination and the slip
shows the homebranch
6 - Apply patch
7 - Repeat 5 but note slip and message match
8 - Test any edge cases for correctness
9 - sign off

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Jonathan Druart 2017-03-07 17:55:12 UTC
Created attachment 60887 [details] [review]
Bug 12972 - Transfer slip and transfer message (blue box) can conflict

Instead of passing the homebranch to the slip, let's pass
TransferWaitingAt (the value we display)

To test:
1 - Check in an item that will initiate a transfer (hold or automatic
        item return)
2 - Note the transfer message and receipt match
3 - Remove the reason for transfer (bot don't cancel transfer)
    i.e. cancel hold or change homebranch of item to current library
4 - Check the item in again
5 - Note the message displays the transfer destination and the slip
shows the homebranch
6 - Apply patch
7 - Repeat 5 but note slip and message match
8 - Test any edge cases for correctness
9 - sign off

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2017-03-31 13:47:45 UTC
Pushed to master for 17.05, thanks Nick!
Comment 5 Katrin Fischer 2017-04-02 17:17:10 UTC
This patch has been pushed to 16.11.x and will be in 16.11.07.
Comment 6 Julian Maurice 2017-04-21 10:18:55 UTC
Pushed to 3.22.x for 3.22.20
Comment 7 Mason James 2017-05-03 03:57:13 UTC
Pushed to 16.05.x, for 16.05.12 release